# Not building for scl right now
%undefine scl_prefix
%global scl_ruby /usr/bin/ruby

#global prever .rc1.9

Name:    katello-installer-base
Version: 3.7.0.12
Release: 1%{?prever}%{?dist}
Summary: Puppet-based installer for the Katello and Katello Capsule
Group:   Applications/System
License: GPLv3+ and ASL 2.0
URL:     https://theforeman.org/plugins/katello
Source0: http://dogfood.sat.engineering.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_4_Source_Files/katello-installer-%{version}%{?prever}.tar.gz

BuildArch: noarch
Obsoletes: katello-installer < 2.1.0

Requires: foreman-installer >= 1.17.0
Requires: %{?scl_prefix}puppet >= 4.0.0
Requires: katello-selinux
Requires: openssl
Requires: katello-certs-tools
Requires: foreman-proxy
Requires: /bin/readlink

%package -n foreman-installer-katello
Summary: Foreman-installer scenarios for Katello and Foreman proxies with content
Group:	 Applications/System
Obsoletes: katello-installer
Obsoletes: capsule-installer
Requires: %{name} = %{version}-%{release}
Requires: katello-service >= 3.0.0

%description -n foreman-installer-katello
A set of tools for installation of Katello and Foreman proxies with content

%files -n foreman-installer-katello
%{_datadir}/foreman-installer-katello/bin
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/foreman-installer/scenarios.d/katello-answers.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/foreman-installer/scenarios.d/katello.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/foreman-installer/scenarios.d/foreman-proxy-content-answers.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/foreman-installer/scenarios.d/foreman-proxy-content.yaml
%dir %{_sysconfdir}/foreman-installer/scenarios.d/katello.migrations
%{_sysconfdir}/foreman-installer/scenarios.d/katello.migrations
%dir %{_sysconfdir}/foreman-installer/scenarios.d/foreman-proxy-content.migrations
%{_sysconfdir}/foreman-installer/scenarios.d/foreman-proxy-content.migrations
%{_sbindir}/foreman-proxy-certs-generate
%{_sbindir}/katello-certs-check

%description
A set of tools for installation of Katello and Katello Capsule,
including Foreman and Foreman Proxy.

%prep
%setup -q -n katello-installer-%{version}%{?prever}

%build
#replace shebangs
sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby}X' bin/*

#configure the paths
sed -ri 'sX\./configX%{_sysconfdir}/foreman-installer/scenarios.dXg' config/katello-answers.yaml config/katello.yaml bin/foreman-proxy-certs-generate
sed -ri 'sX\./configX%{_sysconfdir}/foreman-installer/scenarios.dXg' config/foreman-proxy-content.yaml

sed -ri 'sX  INSTALLER_DIR.*$X  INSTALLER_DIR = "%{_datadir}/katello-installer-base"Xg' bin/foreman-proxy-certs-generate
sed -ri 'sX\:installer_dir.*$X:installer_dir: %{_datadir}/katello-installer-baseXg' config/*.yaml

# module paths
sed -ri 'sX./_build/modulesX%{_datadir}/foreman-installer/modulesXg' config/*.yaml
sed -ri 'sX../katello-installer/modulesX%{_datadir}/katello-installer-base/modulesXg' config/*.yaml

#hooks
sed -i -e 'sX../katello-installer/hooksX%{_datadir}/katello-installer-base/hooksXg' config/*.yaml

%install
install -d -m0755 %{buildroot}%{_sysconfdir}/foreman-installer/scenarios.d

install -d -m0755 %{buildroot}/%{_datadir}/katello-installer-base
install -d -m0755 %{buildroot}/%{_datadir}/foreman-installer-katello/bin

install -d -m0755 %{buildroot}/%{_sbindir}

cp -dpR checks modules hooks parser_cache %{buildroot}/%{_datadir}/katello-installer-base

cp -dpR bin/foreman-proxy-certs-generate %{buildroot}/%{_datadir}/foreman-installer-katello/bin/foreman-proxy-certs-generate
cp -dpR bin/katello-certs-check %{buildroot}/%{_datadir}/foreman-installer-katello/bin/katello-certs-check

cp -dpR config/katello-answers.yaml %{buildroot}/%{_sysconfdir}/foreman-installer/scenarios.d
cp -dpR config/foreman-proxy-content-answers.yaml %{buildroot}/%{_sysconfdir}/foreman-installer/scenarios.d

cp -dpR config/katello.yaml %{buildroot}/%{_sysconfdir}/foreman-installer/scenarios.d
cp -dpR config/katello.migrations %{buildroot}/%{_sysconfdir}/foreman-installer/scenarios.d
cp -dpR config/foreman-proxy-content.yaml %{buildroot}/%{_sysconfdir}/foreman-installer/scenarios.d
cp -dpR config/foreman-proxy-content.migrations %{buildroot}/%{_sysconfdir}/foreman-installer/scenarios.d

ln -sf %{_datadir}/foreman-installer-katello/bin/foreman-proxy-certs-generate %{buildroot}/%{_sbindir}/foreman-proxy-certs-generate
ln -sf %{_datadir}/foreman-installer-katello/bin/katello-certs-check %{buildroot}/%{_sbindir}/katello-certs-check

%files
%defattr(-,root,root,-)
%{_datadir}/katello-installer-base/modules
%{_datadir}/katello-installer-base/hooks
%{_datadir}/katello-installer-base/checks
%{_datadir}/katello-installer-base/parser_cache
%doc README.*

%changelog
* Wed Nov 28 2018 Jenkins User <jenkins-gitlab@redhat.com> - 3.7.0.12-1
- BZ #1651960 - Fix Mongo upgrade failure and get rid of unused file

* Tue Nov 13 2018 Jenkins User <jenkins-gitlab@redhat.com> - 3.7.0.11-1
- BZ #1627280 Change katello-certs-check help text
- BZ #1636328 - foreman-installer --reset cannot empty local mongo 3.4 database
- BZ #1646741 - Move Mongo removal to pre hook to prevent upgrade issues.

* Mon Oct 01 2018 Satellite6 Jenkins 3.7.0.10-1
- BZ #1634436 - Fix Mongo Syspaths hook and legacy removal

* Tue Sep 25 2018 Satellite6 Jenkins 3.7.0.9-1
- BZ #1627787 - Breakout syspath install to seperate hook.

* Mon Sep 24 2018 Satellite6 Jenkins 3.7.0.8-1
- BZ #1627787 - Move mongo_remove within upgrade if statement
- BZ #1631943 - Capsule upgrade failed at Upgrade Step: start_postgresql

* Fri Sep 21 2018 Satellite6 Jenkins 3.7.0.6-1
- BZ #1619680: add upgrade step clear_checksum_type

* Thu Sep 20 2018 Satellite6 Jenkins 3.7.0.5-1
- BZ #1250301 - [RFE] Add an installer option to change value of…

* Thu Sep 06 2018 Satellite6 Jenkins 3.7.0.4-1
- BZ #1618430 - Newly added check (check-cert-san) in katello-certs-check  is…

* Tue Sep 04 2018 Satellite6 Jenkins 3.7.0.3-1
- BZ #1600866 - katello-certs-check print "foreman-installer --scenario katello"…

* Thu Aug 23 2018 Satellite6 Jenkins 3.7.0.2-1
- BZ #1616228 - satellite-installer does not work for custom ssl certs
- BZ #1602086 - resource dependency cycle between qpid and qdrouterd

* Wed Aug 22 2018 Satellite6 Jenkins 3.7.0.1-1
- BZ #1612977 - katello-certs-check not showing full report

* Thu Jul 19 2018 Patrick Creech <pcreech@redhat.com> - 3.7.0-1.rc1.8
- Update to rc1.8

* Tue Jul 17 2018 Patrick Creech <pcreech@redhat.com> - 3.7.0-1.rc1.7
- Update to rc1.7 (rc1.6 didn't have a proper VERSION file)

* Fri Jul 13 2018 Patrick Creech <pcreech@redhat.com> - 3.7.0-1.rc1.5
- Update to rc1.5

* Tue Jul 03 2018 Adam Price <adprice@redhat.com> 3.7.0-1.rc1.4
- update to rc1.4

* Fri Jun 29 2018 Adam Price <adprice@redhat.com> 3.7.0-1.rc1.3
- update to rc1.3

* Mon Jun 11 2018 Jonathon Turel <jturel@gmail.com> 3.7.0-1.rc1
- Rev for 3.7 RC1
